<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

include_once(JPATH_ROOT.'/components/com_virtualmoney/lib/core.php');

/**
 * 
 * @package		Joomla
 * @subpackage	Contacts
 */
class VirtualmoneyViewTransactions extends FOFViewHtml
{
	public function onBrowse($tpl = NULL) {
        $model = $this->getModel();
        $db = JFactory::getDbo();
        
		$user = JFactory::getUser();
		
        $transactions = $model
                        ->user_id($user->id)
                        ->filter_order('created_on')
                        ->filter_order_Dir('DESC')
                        ->getItemList();
        
        if(!empty($transactions)){
            //Foreach transaction
            foreach($transactions as $transaction) {
                //We define if the transaction is a debit or a credit and with
                //assign the correct variable
                if($transaction->type == 'VirtualMoney_exchange') {
                    
                    //TODO Find a way to move this request to a model (it is not working right now)
                    $query = "SELECT * FROM #__virtualmoney_exchanges
                                WHERE virtualmoney_exchange_id = ".(int)$transaction->type_id;
                      
                    $db->setQuery($query);

                    $exchange = $db->loadObject();
                    
                    $transaction->exchange = $exchange;
                }
                $transaction->description = nl2br($transaction->description);
                if($transaction->credits < 0) {
                    $transaction->debit = VirtualmoneyHelperFormat::formatPrice(-$transaction->credits);
                    $transaction->credit = '';
                }else{
                    $transaction->credit = VirtualmoneyHelperFormat::formatPrice($transaction->credits);
                    $transaction->debit = '';
                }
            }
        }
        
        $credits = Virtualmoney::getCredits($user->id, false, true);
        
        $this->assign('credits', $credits);
		$this->assign('transactions',$transactions);
		$this->assign('pagination',$model->getPagination());
	}
}