<?php
 /**
  * @version		
  * @copyright	Copyright (C) 2005 - 2010 JoomPROD, Inc. All rights reserved.
  * @license	GNU General Public License version 2 or later; see LICENSE.txt
  */
 
 defined('JPATH_BASE') or die;
 
 jimport( 'joomla.html.parameter' );
 jimport( 'joomla.registry.registry' );
 
 class plgUserVirtualmoneyLogin extends JPlugin
 {

    //Joomla 1.5
 	public function onLoginUser($user, $options=array())
	{
		$instance = $this->_getUser($user, $options);
		
        $now = date('Y-m-d');
        $lastConnection = explode(' ', $instance->lastvisitDate);
        $lastConnection = $lastConnection[0];
        
        if($now > $lastConnection && $lastConnection != '0000-00-00') {
            include_once(JPATH_ROOT.'/components/com_virtualmoney/lib/core.php');
        
            $plugin = JPluginHelper::getPlugin('user','virtualmoneyLogin');
            $this->params = new JParameter( $plugin->params );
			$newCredits = intval($this->params->get('nbcredits','5'));

            Virtualmoney::addCredits($instance->id, $newCredits, JText::_('VIRTUALMONEY_TRANSACTION_DAILY_LOGIN'), 'VirtualMoney');
        }
 
		return true;
	}

	//Joomla 1.6
	public function onUserLogin($user, $options=array())
	{
        $instance = $this->_getUser($user, $options);
		
        $now = date('Y-m-d');
        $lastConnection = explode(' ', $instance->lastvisitDate);
        $lastConnection = $lastConnection[0];
        
        if($now > $lastConnection) {
            include_once(JPATH_ROOT.'/components/com_virtualmoney/lib/core.php');
        
            $plugin = JPluginHelper::getPlugin('user','virtualmoneyLogin');
            $this->params = new JRegistry( $plugin->params );
			$newCredits = intval($this->params->get('nbcredits','5'));

            Virtualmoney::addCredits($instance->id, $newCredits, JText::_('VIRTUALMONEY_TRANSACTION_DAILY_LOGIN'), 'VirtualMoney');
        }
 
		return true;
	}
    
    /**
	 * This method will return a user object
	 *
	 * If options['autoregister'] is true, if the user doesn't exist yet he will be created
	 *
	 * @param	array	$user		Holds the user data.
	 * @param	array	$options	Array holding options (remember, autoregister, group).
	 *
	 * @return	object	A JUser object
	 * @since	1.5
	 */
	protected function _getUser($user, $options = array())
	{
		$instance = JUser::getInstance();
		if ($id = intval(JUserHelper::getUserId($user['username'])))  {
			$instance->load($id);
			return $instance;
		}

		jimport('joomla.application.component.helper');
		$config	= JComponentHelper::getParams('com_users');
		// Default to Registered.
		$defaultUserGroup = $config->get('new_usertype', 2);

		$acl = JFactory::getACL();

		$instance->set('id'			, 0);
		$instance->set('name'			, $user['fullname']);
		$instance->set('username'		, $user['username']);
		$instance->set('password_clear'	, $user['password_clear']);
		$instance->set('email'			, $user['email']);	// Result should contain an email (check)
		$instance->set('usertype'		, 'deprecated');
		$instance->set('groups'		, array($defaultUserGroup));

		//If autoregister is set let's register the user
		$autoregister = isset($options['autoregister']) ? $options['autoregister'] :  $this->params->get('autoregister', 1);

		if ($autoregister) {
			if (!$instance->save()) {
				return JError::raiseWarning('SOME_ERROR_CODE', $instance->getError());
			}
		}
		else {
			// No existing user and autoregister off, this is a temporary user.
			$instance->set('tmp_user', true);
		}

		return $instance;
	}
 }
